<?php

namespace Drupal\aiprompt_content;

use Drupal\aiprompt\NestedDataInterface;
use Drupal\aiprompt\PromptSegmentsGetSetInterface;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface for defining aiprompt entities.
 *
 * @ingroup aiprompt
 */
interface AIPromptInterface extends ContentEntityInterface, NestedDataInterface, PromptSegmentsGetSetInterface {

  /**
   * Saves data field to entity.
   */
  public function saveData(): void;
}